samba (SSA:2011-059-01)
Posted on: 03/01/2011 10:19 AM

A samba security update is available for Slackware Linux

New samba packages are available for Slackware 10.0, 10.1, 10.2, 11.0, 12.0,
12.1, 12.2, 13.0, 13.1, and -current to fix a denial of service security issue.

Here are the details from the Slackware 13.1 ChangeLog:
patches/packages/samba-3.5.7-i486-1_slack13.1.txz: Upgraded.
Fix memory corruption denial of service issue.
For more information, see:
(* Security fix *)

Where to find the new packages:

HINT: Getting slow download speeds from
Give a try. This is another primary FTP site
for Slackware that can be considerably faster than downloading
directly from

Thanks to the friendly folks at the OSU Open Source Lab
( for donating additional FTP and rsync hosting
to the Slackware project! :-)

Also see the "Get Slack" section on for
additional mirror sites near you.

Updated package for Slackware 8.1:

Updated package for Slackware 9.0:

Updated package for Slackware 9.1:

Updated package for Slackware 10.0:

Updated package for Slackware 10.1:

Updated package for Slackware 10.2:

Updated package for Slackware 11.0:

Updated package for Slackware 12.0:

Updated package for Slackware 12.1:

Updated package for Slackware 12.2:

Updated package for Slackware 13.0:

Updated package for Slackware x86_64 13.0:

Updated package for Slackware 13.1:

Updated package for Slackware x86_64 13.1:

Updated package for Slackware -current:

Updated package for Slackware x86_64 -current:

MD5 signatures:

Slackware 8.1 package:
03d53b165cf21bab6c0e26f98268d445 samba-2.2.10-i386-1.tgz

Slackware 9.0 package:
99cba95be5231d46327d3ca055a792db samba-2.2.10-i386-1.tgz

Slackware 9.1 package:
75e92332f92858430fbc01e0adf29c7b samba-2.2.10-i486-1.tgz

Slackware 10.0 package:
bf098646ed2899c7afa05953126dbd62 samba-3.0.37-i486-4_slack10.0.tgz

Slackware 10.1 package:
504069cee84738e189078757dbbf0e61 samba-3.0.37-i486-4_slack10.1.tgz

Slackware 10.2 package:
dc1691693d27f718b9f924b29ed8aa57 samba-3.0.37-i486-4_slack10.2.tgz

Slackware 11.0 package:
ba6b673c523db71779905409df79f463 samba-3.0.37-i486-4_slack11.0.tgz

Slackware 12.0 package:
4d7cd71c544246a982d1f9c166596714 samba-3.0.37-i486-4_slack12.0.tgz

Slackware 12.1 package:
528c05507d8d43bb0831670c5b662b80 samba-3.0.37-i486-4_slack12.1.tgz

Slackware 12.2 package:
ab8cce1dc3ed9c7f8d518699445109eb samba-3.2.15-i486-4_slack12.2.tgz

Slackware 13.0 package:
a12b8cb6b718c68451f91016ec286aa2 samba-3.2.15-i486-4_slack13.0.txz

Slackware x86_64 13.0 package:
c1521a16c02e02e50a75f53f67138a3e samba-3.2.15-x86_64-4_slack13.0.txz

Slackware 13.1 package:
ec8895e12c3c5d63e980d8d2442c2690 samba-3.5.7-i486-1_slack13.1.txz

Slackware x86_64 13.1 package:
d506c4cce4f4e2ed4d001a3c62f7fa03 samba-3.5.7-x86_64-1_slack13.1.txz

Slackware -current package:
5482a2667d0efdf99f7dda369c39b4fd samba-3.5.7-i486-1.txz

Slackware x86_64 -current package:
88b166a77f3580964224a41c5bb0477b samba-3.5.7-x86_64-1.txz

Installation instructions:

Upgrade the package as root:
# upgradepkg samba-3.5.7-i486-1_slack13.1.txz

Then, if Samba is running restart it:

# /etc/rc.d/rc.samba restart


Slackware Linux Security Team

Printed from Linux Compatible (